'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ColorPalette', {
  enumerable: true,
  get: function () {
    return ColorPalette;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _ColorPicker = require('./ColorPicker.js');
const _ColorSwatch = require('./ColorSwatch.js');
const _ColorPickerContext = require('./ColorPickerContext.js');
const ColorPalette = _react.forwardRef((props, ref) => {
  let {
    colors,
    label,
    labelProps,
    className,
    children,
    paletteContainerProps,
    ...rest
  } = props;
  let { activeColor, setActiveColor, onChangeComplete } = (0,
  _ColorPickerContext.useColorPickerContext)();
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-color-palette-wrapper',
        className,
      ),
      ref: ref,
      ...rest,
    },
    label &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...labelProps,
          className: (0, _classnames.default)(
            'iui-color-picker-section-label',
            labelProps?.className,
          ),
        },
        label,
      ),
    _react.createElement(
      _index.Box,
      {
        as: 'div',
        ...paletteContainerProps,
        className: (0, _classnames.default)(
          'iui-color-palette',
          paletteContainerProps?.className,
        ),
      },
      children,
      colors &&
        colors.map((_color, index) => {
          let color = (0, _ColorPicker.getColorValue)(_color);
          return _react.createElement(_ColorSwatch.ColorSwatch, {
            key: index,
            color: color,
            onClick: () => {
              onChangeComplete?.(color);
              setActiveColor(color);
            },
            isActive: color.equals(activeColor),
          });
        }),
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  ColorPalette.displayName = 'ColorPalette';
