'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ComboBoxInputContainer', {
  enumerable: true,
  get: function () {
    return ComboBoxInputContainer;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _StatusMessage = require('../StatusMessage/StatusMessage.js');
const _index = require('../../utils/index.js');
const _helpers = require('./helpers.js');
const ComboBoxInputContainer = _react.forwardRef((props, forwardedRef) => {
  let { className, status, message, children, ...rest } = props;
  let { id } = (0, _index.useSafeContext)(_helpers.ComboBoxStateContext);
  return _react.createElement(
    _index.InputContainer,
    {
      className: className,
      status: status,
      statusMessage:
        'string' == typeof message
          ? _react.createElement(
              _StatusMessage.StatusMessage,
              {
                status: status,
              },
              message,
            )
          : _react.isValidElement(message) &&
            _react.cloneElement(message, {
              status,
            }),
      ref: forwardedRef,
      ...rest,
      id: id,
    },
    _react.createElement(_index.InputWithIcon, null, children),
  );
});
if ('development' === process.env.NODE_ENV)
  ComboBoxInputContainer.displayName = 'ComboBoxInputContainer';
