'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Fieldset', {
  enumerable: true,
  get: function () {
    return Fieldset;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const Fieldset = _react.forwardRef((props, ref) => {
  let { children, className, disabled, legend, ...rest } = props;
  return _react.createElement(
    _index.FieldsetBase,
    {
      className: (0, _classnames.default)('iui-fieldset', className),
      disabled: disabled,
      ref: ref,
      ...rest,
    },
    legend && _react.createElement('legend', null, legend),
    disabled
      ? _react.Children.map(children, (child) =>
          _react.isValidElement(child)
            ? _react.cloneElement(child, {
                disabled: true,
              })
            : child,
        )
      : children,
  );
});
if ('development' === process.env.NODE_ENV) Fieldset.displayName = 'Fieldset';
