'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Input', {
  enumerable: true,
  get: function () {
    return Input;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const Input = _react.forwardRef((props, ref) => {
  let { size, htmlSize, status, className, ...rest } = props;
  let inputRef = _react.useRef(null);
  let refs = (0, _index.useMergedRefs)(inputRef, ref);
  return _react.createElement(_index.Box, {
    as: 'input',
    className: (0, _classnames.default)('iui-input', 'iui-field', className),
    'data-iui-size': size,
    'data-iui-status': status,
    size: htmlSize,
    ref: refs,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV) Input.displayName = 'Input';
