'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Label', {
  enumerable: true,
  get: function () {
    return Label;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const Label = _react.forwardRef((props, forwardedRef) => {
  let {
    displayStyle = 'block',
    required,
    disabled,
    className,
    children,
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'label',
      className: (0, _classnames.default)(
        'iui-input-label',
        {
          'iui-inline': 'inline' === displayStyle,
          'iui-required': required,
        },
        className,
      ),
      'data-iui-disabled': disabled ? true : void 0,
      ref: forwardedRef,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV) Label.displayName = 'Label';
