'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'LabeledSelect', {
  enumerable: true,
  get: function () {
    return LabeledSelect;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _Select = require('../Select/Select.js');
const _StatusMessage = require('../StatusMessage/StatusMessage.js');
const _InputGrid = require('../InputGrid/InputGrid.js');
const _Label = require('../Label/Label.js');
const LabeledSelect = _react.forwardRef((props, forwardedRef) => {
  let {
    className,
    disabled = false,
    label,
    message,
    status,
    svgIcon,
    displayStyle = 'default',
    style,
    required = false,
    wrapperProps,
    labelProps,
    messageContentProps,
    messageIconProps,
    ...rest
  } = props;
  return _react.createElement(
    _InputGrid.InputGrid,
    {
      labelPlacement: displayStyle,
      'data-iui-status': status,
      ...wrapperProps,
    },
    label &&
      _react.createElement(
        _Label.Label,
        {
          as: 'div',
          required: required,
          disabled: disabled,
          ...labelProps,
        },
        label,
      ),
    _react.createElement(_Select.Select, {
      disabled: disabled,
      className: className,
      style: style,
      required: props.native ? required : void 0,
      ...rest,
      ref: forwardedRef,
      ...{
        styleType: 'default',
      },
    }),
    'string' == typeof message
      ? _react.createElement(
          _StatusMessage.StatusMessage,
          {
            status: status,
            startIcon: svgIcon,
            iconProps: messageIconProps,
            contentProps: messageContentProps,
          },
          message,
        )
      : message,
  );
});
if ('development' === process.env.NODE_ENV)
  LabeledSelect.displayName = 'LabeledSelect';
