'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'NonIdealState', {
  enumerable: true,
  get: function () {
    return NonIdealState;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const NonIdealState = _react.forwardRef((props, forwardedRef) => {
  let {
    className,
    svg,
    heading,
    description,
    actions,
    illustrationProps,
    titleProps,
    descriptionProps,
    actionsProps,
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)('iui-non-ideal-state', className),
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        as: 'div',
        ...illustrationProps,
        className: (0, _classnames.default)(
          'iui-non-ideal-state-illustration',
          illustrationProps?.className,
        ),
      },
      svg,
    ),
    heading &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...titleProps,
          className: (0, _classnames.default)(
            'iui-non-ideal-state-title',
            titleProps?.className,
          ),
        },
        heading,
      ),
    description &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...descriptionProps,
          className: (0, _classnames.default)(
            'iui-non-ideal-state-description',
            descriptionProps?.className,
          ),
        },
        description,
      ),
    actions &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...actionsProps,
          className: (0, _classnames.default)(
            'iui-non-ideal-state-actions',
            actionsProps?.className,
          ),
        },
        actions,
      ),
  );
});
if ('development' === process.env.NODE_ENV)
  NonIdealState.displayName = 'NonIdealState';
