'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'NotificationMarker', {
  enumerable: true,
  get: function () {
    return NotificationMarker;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const NotificationMarker = _react.forwardRef((props, ref) => {
  let {
    className,
    children,
    status = 'primary',
    pulsing = false,
    enabled = true,
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'span',
      ref: ref,
      className: (0, _classnames.default)(
        {
          'iui-notification-marker': enabled,
        },
        className,
      ),
      'data-iui-variant': enabled ? status : null,
      'data-iui-urgent': enabled ? pulsing : null,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  NotificationMarker.displayName = 'NotificationMarker';
