'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ProgressRadial', {
  enumerable: true,
  get: function () {
    return ProgressRadial;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _VisuallyHidden = require('../VisuallyHidden/VisuallyHidden.js');
const ProgressRadial = _react.forwardRef((props, forwardedRef) => {
  let {
    value,
    indeterminate = void 0 === value,
    status,
    size,
    className,
    style,
    children,
    ...rest
  } = props;
  let statusMap = {
    negative: _react.createElement(_index.SvgImportantSmall, {
      'aria-hidden': true,
    }),
    positive: _react.createElement(_index.SvgCheckmarkSmall, {
      'aria-hidden': true,
    }),
    warning: _react.createElement(_index.SvgImportantSmall, {
      'aria-hidden': true,
    }),
  };
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-progress-indicator-radial',
        className,
      ),
      'data-iui-size': size,
      'data-iui-status': status,
      'data-iui-indeterminate': indeterminate ? 'true' : void 0,
      ref: forwardedRef,
      style: {
        ...(void 0 !== value && {
          '--iui-progress-percentage': `${(0, _index.getBoundedValue)(
            value,
            0,
            100,
          )}%`,
        }),
        ...style,
      },
      ...rest,
    },
    _react.createElement(
      _index.ShadowRoot,
      null,
      100 !== value &&
        _react.createElement(_VisuallyHidden.VisuallyHidden, null, 'Loading.'),
      _react.createElement('slot', null),
    ),
    'x-small' !== size ? children ?? (status ? statusMap[status] : null) : null,
  );
});
if ('development' === process.env.NODE_ENV)
  ProgressRadial.displayName = 'ProgressRadial';
