'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Radio', {
  enumerable: true,
  get: function () {
    return Radio;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const Radio = _react.forwardRef((props, ref) => {
  let {
    className,
    disabled = false,
    label,
    status,
    labelProps,
    wrapperProps,
    style,
    ...rest
  } = props;
  let inputElementRef = _react.useRef(null);
  let refs = (0, _index.useMergedRefs)(inputElementRef, ref);
  let radio = _react.createElement(_index.Box, {
    as: 'input',
    className: (0, _classnames.default)('iui-checkbox', 'iui-radio', className),
    style: style,
    disabled: disabled,
    type: 'radio',
    ref: refs,
    ...rest,
  });
  return label
    ? _react.createElement(
        _index.Box,
        {
          as: 'label',
          ...wrapperProps,
          className: (0, _classnames.default)(
            'iui-checkbox-wrapper',
            wrapperProps?.className,
          ),
          'data-iui-status': status,
          'data-iui-disabled': disabled ? 'true' : void 0,
        },
        radio,
        label &&
          _react.createElement(
            _index.Box,
            {
              as: 'span',
              ...labelProps,
              className: (0, _classnames.default)(
                'iui-radio-label',
                labelProps?.className,
              ),
            },
            label,
          ),
      )
    : radio;
});
if ('development' === process.env.NODE_ENV) Radio.displayName = 'Radio';
