'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'WorkflowDiagramStep', {
  enumerable: true,
  get: function () {
    return WorkflowDiagramStep;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _Tooltip = require('../Tooltip/Tooltip.js');
const _index = require('../../utils/index.js');
const WorkflowDiagramStep = (props) => {
  let { title, description, className, style, contentProps, ...rest } = props;
  let stepShape = _react.createElement(
    _index.Box,
    {
      as: 'li',
      className: (0, _classnames.default)(
        'iui-workflow-diagram-step',
        className,
      ),
      style: style,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        as: 'span',
        ...contentProps,
        className: (0, _classnames.default)(
          'iui-workflow-diagram-content',
          contentProps?.className,
        ),
      },
      title,
    ),
  );
  return description
    ? _react.createElement(
        _Tooltip.Tooltip,
        {
          content: description,
        },
        stepShape,
      )
    : stepShape;
};
