'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'FilterButtonBar', {
  enumerable: true,
  get: function () {
    return FilterButtonBar;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../../utils/index.js');
const _Button = require('../../Buttons/Button.js');
const defaultStrings = {
  filter: 'Filter',
  clear: 'Clear',
};
const FilterButtonBar = (props) => {
  let {
    children,
    setFilter,
    clearFilter,
    translatedLabels,
    className,
    style,
    id,
  } = props;
  let translatedStrings = {
    ...defaultStrings,
    ...translatedLabels,
  };
  (0, _index.useGlobals)();
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)('iui-button-bar', className),
      style: style,
      id: id,
    },
    children,
    _react.createElement(
      _Button.Button,
      {
        type: 'submit',
        styleType: 'high-visibility',
        onClick: setFilter,
      },
      translatedStrings.filter,
    ),
    _react.createElement(
      _Button.Button,
      {
        onClick: clearFilter,
      },
      translatedStrings.clear,
    ),
  );
};
