'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'NumberRangeFilter', {
  enumerable: true,
  get: function () {
    return NumberRangeFilter;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../../../utils/index.js');
const _FilterButtonBar = require('../FilterButtonBar.js');
const _BaseFilter = require('../BaseFilter.js');
const _LabeledInput = require('../../../LabeledInput/LabeledInput.js');
const defaultStrings = {
  from: 'From',
  to: 'To',
};
const NumberRangeFilter = (props) => {
  let { column, translatedLabels, setFilter, clearFilter } = props;
  (0, _index.useGlobals)();
  let translatedStrings = {
    ...defaultStrings,
    ...translatedLabels,
  };
  let inputRef = _react.useRef(null);
  _react.useEffect(() => {
    if (inputRef.current) inputRef.current.focus();
  }, []);
  let [from, setFrom] = _react.useState(column.filterValue?.[0] ?? '');
  let [to, setTo] = _react.useState(column.filterValue?.[1] ?? '');
  let parseInputValue = (value) =>
    !value || isNaN(Number(value)) ? void 0 : Number(value);
  return _react.createElement(
    _BaseFilter.BaseFilter,
    {
      onSubmit: () => setFilter([parseInputValue(from), parseInputValue(to)]),
    },
    _react.createElement(_LabeledInput.LabeledInput, {
      ref: inputRef,
      label: translatedStrings.from,
      value: from,
      onChange: (e) => setFrom(e.target.value),
      type: 'number',
      displayStyle: 'inline',
    }),
    _react.createElement(_LabeledInput.LabeledInput, {
      label: translatedStrings.to,
      value: to,
      onChange: (e) => setTo(e.target.value),
      type: 'number',
      displayStyle: 'inline',
    }),
    _react.createElement(_FilterButtonBar.FilterButtonBar, {
      clearFilter: clearFilter,
      translatedLabels: translatedLabels,
    }),
  );
};
