'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Tag', {
  enumerable: true,
  get: function () {
    return Tag;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _IconButton = require('../Buttons/IconButton.js');
const _LinkAction = require('../LinkAction/LinkAction.js');
const Tag = _react.forwardRef((props, forwardedRef) => {
  let {
    className,
    variant = 'default',
    children,
    onRemove,
    onClick,
    labelProps,
    removeButtonProps,
    ...rest
  } = props;
  let shouldUseLinkAction = !!onClick && !!onRemove;
  return _react.createElement(
    _index.Box,
    {
      as: shouldUseLinkAction
        ? _LinkAction.LinkBox
        : onClick
          ? _index.ButtonBase
          : 'span',
      className: (0, _classnames.default)(
        {
          'iui-tag-basic': 'basic' === variant,
          'iui-tag': 'default' === variant,
        },
        className,
      ),
      ref: forwardedRef,
      onClick: shouldUseLinkAction ? void 0 : onClick,
      ...rest,
    },
    'default' === variant
      ? _react.createElement(
          _index.Box,
          {
            as: shouldUseLinkAction ? _LinkAction.LinkAction : 'span',
            ...labelProps,
            onClick: (0, _index.mergeEventHandlers)(
              labelProps?.onClick,
              shouldUseLinkAction ? onClick : void 0,
            ),
            className: (0, _classnames.default)(
              'iui-tag-label',
              labelProps?.className,
            ),
          },
          children,
        )
      : children,
    onRemove &&
      _react.createElement(
        _IconButton.IconButton,
        {
          styleType: 'borderless',
          size: 'small',
          'aria-label': 'Delete tag',
          ...removeButtonProps,
          onClick: (0, _index.mergeEventHandlers)(
            removeButtonProps?.onClick,
            onRemove,
          ),
          className: (0, _classnames.default)(
            'iui-tag-button',
            removeButtonProps?.className,
          ),
        },
        _react.createElement(_index.SvgCloseSmall, {
          'aria-hidden': true,
        }),
      ),
  );
});
if ('development' === process.env.NODE_ENV) Tag.displayName = 'Tag';
