'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Anchor', {
  enumerable: true,
  get: function () {
    return Anchor;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _VisuallyHidden = require('../VisuallyHidden/VisuallyHidden.js');
const _Text = require('./Text.js');
const Anchor = _react.forwardRef((props, forwardedRef) => {
  let isInsideText = _react.useContext(_Text.TextContext);
  let { isExternal, underline = isInsideText, children, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'a',
      'data-iui-underline': underline ? 'true' : void 0,
      ...rest,
      ref: forwardedRef,
      className: (0, _classnames.default)(
        'iui-anchor',
        {
          'iui-anchor-external': isExternal,
        },
        props.className,
      ),
    },
    children,
    '_blank' === props.target &&
      _react.createElement(
        _VisuallyHidden.VisuallyHidden,
        null,
        ' (opens in new tab)',
      ),
  );
});
if ('development' === process.env.NODE_ENV) Anchor.displayName = 'Anchor';
