'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  Kbd: function () {
    return Kbd;
  },
  KbdKeys: function () {
    return KbdKeys;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const KbdKeys = {
  Command: '\u2318 Cmd',
  Shift: '\u21e7 Shift',
  Backspace: '\u232b Backspace',
  Enter: '\u21b5 Enter',
  Eject: '\u23cf Eject',
  Control: 'Ctrl',
  Windows: '\u229e Win',
  Apple: '\uf8ff',
  Option: '\u2325 Option',
  Left: '\u2190',
  Up: '\u2191',
  Right: '\u2192',
  Down: '\u2193',
};
const Kbd = _react.forwardRef((props, forwardedRef) => {
  let { className, children, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'kbd',
      className: (0, _classnames.default)('iui-keyboard', className),
      ref: forwardedRef,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV) Kbd.displayName = 'Kbd';
