'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'AutoclearingHiddenLiveRegion', {
  enumerable: true,
  get: function () {
    return AutoclearingHiddenLiveRegion;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _VisuallyHidden = require('../../core/VisuallyHidden/VisuallyHidden.js');
const _index = require('../functions/index.js');
const AutoclearingHiddenLiveRegion = ({ text, ...props }) => {
  let [maybeText, setMaybeText] = _react.useState(text);
  _react.useEffect(() => {
    setMaybeText(text);
    let timeout = (0, _index.getWindow)()?.setTimeout(
      () => setMaybeText(''),
      5000,
    );
    return () => void (0, _index.getWindow)()?.clearTimeout(timeout);
  }, [text]);
  return _react.createElement(
    _VisuallyHidden.VisuallyHidden,
    {
      as: 'div',
      'aria-live': 'polite',
      'aria-atomic': 'true',
      ...props,
    },
    maybeText,
  );
};
