'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  InputFlexContainer: function () {
    return InputFlexContainer;
  },
  InputFlexContainerButton: function () {
    return InputFlexContainerButton;
  },
  InputFlexContainerIcon: function () {
    return InputFlexContainerIcon;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _Box = require('./Box.js');
const _Icon = require('../../core/Icon/Icon.js');
const _IconButton = require('../../core/Buttons/IconButton.js');
const InputFlexContainer = _react.forwardRef((props, ref) => {
  let { isDisabled, status, children, className, size, style, ...rest } = props;
  return _react.createElement(
    _Box.Box,
    {
      className: (0, _classnames.default)(
        'iui-input-flex-container',
        className,
      ),
      'data-iui-status': status,
      'data-iui-size': size,
      'data-iui-disabled': isDisabled ? 'true' : void 0,
      ref: ref,
      style: style,
      ...rest,
    },
    children,
  );
});
const InputFlexContainerButton = _react.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return _react.createElement(_IconButton.IconButton, {
    ref: ref,
    className: (0, _classnames.default)(
      'iui-input-flex-container-icon',
      className,
    ),
    styleType: 'borderless',
    ...rest,
  });
});
const InputFlexContainerIcon = _react.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return _react.createElement(_Icon.Icon, {
    ref: ref,
    className: (0, _classnames.default)(
      'iui-input-flex-container-icon',
      className,
    ),
    padded: true,
    ...rest,
  });
});
