import cx from 'classnames';
import * as React from 'react';
import { SvgSmileyHappy } from '../../utils/index.js';
import { Button } from './Button.js';
export const IdeasButton = React.forwardRef((props, ref) => {
  let { feedbackLabel = 'Feedback', className, onClick, ...rest } = props;
  return React.createElement(
    Button,
    {
      ref: ref,
      className: cx('iui-button-idea', className),
      'data-iui-variant': 'high-visibility',
      onClick: onClick,
      startIcon: React.createElement(SvgSmileyHappy, {
        'aria-hidden': true,
      }),
      ...rest,
    },
    feedbackLabel,
  );
});
if ('development' === process.env.NODE_ENV)
  IdeasButton.displayName = 'IdeasButton';
