import * as React from 'react';
import cx from 'classnames';
import { ButtonBase } from '../../utils/index.js';
export const CarouselDot = React.forwardRef((props, ref) => {
  let { isActive, isSmaller, isSmall, className, ...rest } = props;
  return React.createElement(ButtonBase, {
    role: 'tab',
    tabIndex: isActive ? 0 : -1,
    className: cx(
      'iui-carousel-navigation-dot',
      {
        'iui-active': isActive,
        'iui-first': isSmaller,
        'iui-second': isSmall,
      },
      className,
    ),
    'aria-selected': isActive,
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV)
  CarouselDot.displayName = 'Carousel.Dot';
