import * as React from 'react';
import { FieldsetBase } from '../../utils/index.js';
import cx from 'classnames';
export const Fieldset = React.forwardRef((props, ref) => {
  let { children, className, disabled, legend, ...rest } = props;
  return React.createElement(
    FieldsetBase,
    {
      className: cx('iui-fieldset', className),
      disabled: disabled,
      ref: ref,
      ...rest,
    },
    legend && React.createElement('legend', null, legend),
    disabled
      ? React.Children.map(children, (child) =>
          React.isValidElement(child)
            ? React.cloneElement(child, {
                disabled: true,
              })
            : child,
        )
      : children,
  );
});
if ('development' === process.env.NODE_ENV) Fieldset.displayName = 'Fieldset';
