import cx from 'classnames';
import * as React from 'react';
import { Box } from '../../utils/index.js';
export const InformationPanelContent = React.forwardRef(
  (props, forwardedRef) => {
    let { className, displayStyle = 'default', children, ...rest } = props;
    return React.createElement(
      Box,
      {
        className: cx(
          'iui-information-body-content',
          {
            'iui-inline': 'inline' === displayStyle,
          },
          className,
        ),
        ref: forwardedRef,
        ...rest,
      },
      children,
    );
  },
);
if ('development' === process.env.NODE_ENV)
  InformationPanelContent.displayName = 'InformationPanelContent';
