import * as React from 'react';
import { Box } from '../../utils/index.js';
import { FloatingDelayGroup } from '@floating-ui/react';
import { defaultTooltipDelay } from '../Tooltip/Tooltip.js';
import cx from 'classnames';
export const List = React.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return React.createElement(
    FloatingDelayGroup,
    {
      delay: defaultTooltipDelay,
    },
    React.createElement(Box, {
      as: 'div',
      ref: ref,
      role: 'list',
      ...rest,
      className: cx('iui-list', className),
    }),
  );
});
if ('development' === process.env.NODE_ENV) List.displayName = 'List';
