import * as React from 'react';
import { InputGroup } from '../InputGroup/InputGroup.js';
import { Box } from '../../utils/index.js';
import cx from 'classnames';
export const RadioTileGroup = React.forwardRef((props, forwardedRef) => {
  let { children, label, tileContainerProps, ...rest } = props;
  return React.createElement(
    InputGroup,
    {
      label: label,
      ref: forwardedRef,
      ...rest,
    },
    React.createElement(
      Box,
      {
        as: 'div',
        ...tileContainerProps,
        className: cx(
          'iui-radio-tile-container',
          tileContainerProps?.className,
        ),
      },
      children,
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  RadioTileGroup.displayName = 'RadioTileGroup';
