import cx from 'classnames';
import * as React from 'react';
import { Tag } from '../Tag/Tag.js';
export const SelectTag = React.forwardRef((props, forwardedRef) => {
  let { className, label, ...rest } = props;
  return React.createElement(
    Tag,
    {
      className: cx('iui-select-tag', className),
      labelProps: {
        className: 'iui-select-tag-label',
      },
      removeButtonProps: {
        className: 'iui-select-tag-button',
        'aria-label': `Deselect ${label}`,
      },
      ref: forwardedRef,
      ...rest,
    },
    label,
  );
});
