import cx from 'classnames';
import * as React from 'react';
import { Box } from '../../utils/index.js';
export const SidenavSubmenuHeader = React.forwardRef((props, forwardedRef) => {
  let { children, actions, className, ...rest } = props;
  return React.createElement(
    Box,
    {
      className: cx('iui-side-navigation-submenu-header', className),
      ref: forwardedRef,
      ...rest,
    },
    React.createElement(
      Box,
      {
        className: 'iui-side-navigation-submenu-header-label',
      },
      children,
    ),
    actions &&
      React.createElement(
        Box,
        {
          className: 'iui-side-navigation-submenu-header-actions',
        },
        actions,
      ),
  );
});
if ('development' === process.env.NODE_ENV)
  SidenavSubmenuHeader.displayName = 'SidenavSubmenuHeader';
