import * as React from 'react';
import cx from 'classnames';
import { Box } from '../../utils/index.js';
export const SkipToContentLink = React.forwardRef((props, ref) => {
  let { children = 'Skip to main content', className, ...rest } = props;
  return React.createElement(
    Box,
    {
      as: 'a',
      ref: ref,
      className: cx('iui-skip-to-content-link', className),
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  SkipToContentLink.displayName = 'SkipToContentLink';
