import cx from 'classnames';
import * as React from 'react';
import { Box } from '../../utils/index.js';
let TableExpandableContent = React.forwardRef((props, ref) => {
  let { children, className, style, isDisabled, virtualItem, ...rest } = props;
  return React.createElement(
    Box,
    {
      className: cx('iui-table-row', 'iui-table-expanded-content', className),
      style: {
        flex: '0 0 auto',
        minWidth: '100%',
        ...(null != virtualItem
          ? {
              transform: `translateY(${virtualItem.start}px)`,
            }
          : {}),
        ...style,
      },
      'aria-disabled': isDisabled,
      'data-iui-index': virtualItem?.index,
      ...(null != virtualItem && {
        'data-iui-virtualizer': 'item',
      }),
      ref: ref,
      ...rest,
    },
    children,
  );
});
export const TableExpandableContentMemoized = React.memo(
  TableExpandableContent,
);
