import * as React from 'react';
import cx from 'classnames';
import { Box, mergeEventHandlers } from '../../../utils/index.js';
export const BaseFilter = React.forwardRef((props, forwardedRef) =>
  React.createElement(Box, {
    as: 'form',
    ...props,
    ref: forwardedRef,
    className: cx('iui-table-column-filter', props.className),
    onSubmit: (e) => {
      e.preventDefault();
      props.onSubmit?.(e);
    },
    onClick: mergeEventHandlers(props.onClick, (e) => {
      e.stopPropagation();
    }),
  }),
);
