import * as React from 'react';
import cx from 'classnames';
import { Box, useGlobals } from '../../../utils/index.js';
import { Button } from '../../Buttons/Button.js';
let defaultStrings = {
  filter: 'Filter',
  clear: 'Clear',
};
export const FilterButtonBar = (props) => {
  let {
    children,
    setFilter,
    clearFilter,
    translatedLabels,
    className,
    style,
    id,
  } = props;
  let translatedStrings = {
    ...defaultStrings,
    ...translatedLabels,
  };
  useGlobals();
  return React.createElement(
    Box,
    {
      className: cx('iui-button-bar', className),
      style: style,
      id: id,
    },
    children,
    React.createElement(
      Button,
      {
        type: 'submit',
        styleType: 'high-visibility',
        onClick: setFilter,
      },
      translatedStrings.filter,
    ),
    React.createElement(
      Button,
      {
        onClick: clearFilter,
      },
      translatedStrings.clear,
    ),
  );
};
