import * as React from 'react';
import { useGlobals } from '../../../../utils/index.js';
import { Input } from '../../../Input/Input.js';
import { FilterButtonBar } from '../FilterButtonBar.js';
import { BaseFilter } from '../BaseFilter.js';
export const TextFilter = (props) => {
  let { column, translatedLabels, setFilter, clearFilter } = props;
  useGlobals();
  let [text, setText] = React.useState(column.filterValue ?? '');
  let inputRef = React.useRef(null);
  React.useEffect(() => {
    if (inputRef.current) inputRef.current.focus();
  }, []);
  return React.createElement(
    BaseFilter,
    {
      onSubmit: () => setFilter(text),
    },
    React.createElement(Input, {
      ref: inputRef,
      value: text,
      onChange: (e) => setText(e.target.value),
      required: true,
    }),
    React.createElement(FilterButtonBar, {
      clearFilter: clearFilter,
      translatedLabels: translatedLabels,
    }),
  );
};
