let isValidDate = (date) => !!date && !isNaN(date.valueOf());
let betweenDate = (rows, ids, filterValue) => {
  let [min, max] = filterValue || [];
  let MAX_DATE_VALUE = 8640000000000000;
  let minValue = isValidDate(min) ? min : new Date(-MAX_DATE_VALUE);
  let maxValue = isValidDate(max) ? max : new Date(MAX_DATE_VALUE);
  return rows.filter((row) =>
    ids.some((id) => {
      let rowValue = row.values[id];
      return (
        rowValue.valueOf() >= minValue.valueOf() &&
        rowValue.valueOf() <= maxValue.valueOf()
      );
    }),
  );
};
betweenDate.autoRemove = (val) =>
  !val || (!isValidDate(val[0]) && !isValidDate(val[1]));
export const customFilterFunctions = {
  betweenDate,
};
