import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type CarouselSlideProps = {
    /**
     * Index of the current slide.
     * Does not need to be manually specified because it will be set in parent (`CarouselSlider`).
     */
    index?: number;
};
/**
 * `CarouselSlide` is used for the actual slide content. The content can be specified through `children`.
 *
 * It is recommended that the slide content bring its own dimensions (esp. height) and that
 * the dimensions should be the same for all slides.
 */
export declare const CarouselSlide: PolymorphicForwardRefComponent<"div", CarouselSlideProps>;
export {};
