import { ColorValue } from '../../utils/index.js';
import type { ColorType, PolymorphicForwardRefComponent } from '../../utils/index.js';
type ColorSwatchProps = {
    /**
     * Color code.
     */
    color: ColorValue | ColorType;
    /**
     * Is color selected.
     */
    isActive?: boolean;
};
/**
 * ColorSwatch component to display within a color palette.
 * @example
 * <ColorSwatch color='#23450b' onClick={onClick}/>
 * <ColorSwatch color={{ r: 255, g: 255, b: 0 }} onClick={onClick}/>
 */
export declare const ColorSwatch: PolymorphicForwardRefComponent<"button", ColorSwatchProps>;
export {};
