'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ColorSwatch', {
  enumerable: true,
  get: function () {
    return ColorSwatch;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _ColorPicker = require('./ColorPicker.js');
const _VisuallyHidden = require('../VisuallyHidden/VisuallyHidden.js');
const ColorSwatch = _react.forwardRef((props, ref) => {
  let { color, style, onClick, isActive, className, ...rest } = props;
  let colorString = _react.useMemo(
    () =>
      'string' == typeof color
        ? color
        : (0, _ColorPicker.getColorValue)(color).toHslString(true),
    [color],
  );
  return _react.createElement(
    _index.Box,
    {
      as: onClick ? _index.ButtonBase : 'span',
      className: (0, _classnames.default)(
        'iui-color-swatch',
        {
          'iui-active': isActive,
        },
        className,
      ),
      style: {
        '--iui-color-swatch-background': colorString,
        ...style,
      },
      onClick: onClick,
      'aria-pressed': !!onClick && isActive ? 'true' : void 0,
      ref: ref,
      ...rest,
    },
    props.children ??
      _react.createElement(
        _VisuallyHidden.VisuallyHidden,
        null,
        colorString.toUpperCase(),
      ),
  );
});
if ('development' === process.env.NODE_ENV)
  ColorSwatch.displayName = 'ColorSwatch';
