'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'FileUploadTemplate', {
  enumerable: true,
  get: function () {
    return FileUploadTemplate;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _Anchor = require('../Typography/Anchor.js');
const FileUploadTemplate = _react.forwardRef((props, ref) => {
  let {
    onChange,
    acceptMultiple = true,
    acceptType,
    label = 'Choose a file',
    subtitle = 'or drag & drop it here.',
    children,
    className,
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-file-upload-template',
        className,
      ),
      ref: ref,
      ...rest,
    },
    _react.createElement(_index.SvgUpload, {
      className: 'iui-template-icon',
      'aria-hidden': true,
    }),
    _react.createElement(
      _index.Box,
      {
        className: 'iui-template-text',
      },
      _react.createElement(
        _Anchor.Anchor,
        {
          as: 'label',
        },
        _react.createElement(_index.Box, {
          as: 'input',
          className: 'iui-browse-input',
          type: 'file',
          onChange: onChange,
          multiple: acceptMultiple,
          accept: acceptType,
        }),
        label,
      ),
      _react.createElement('div', null, subtitle),
      children,
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  FileUploadTemplate.displayName = 'FileUploadTemplate';
