'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Header', {
  enumerable: true,
  get: function () {
    return Header;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _IconButton = require('../Buttons/IconButton.js');
const _index = require('../../utils/index.js');
const _DropdownMenu = require('../DropdownMenu/DropdownMenu.js');
const defaultTranslations = {
  moreOptions: 'More options',
};
const Header = _react.forwardRef((props, forwardedRef) => {
  let {
    appLogo,
    breadcrumbs,
    isSlim = false,
    actions,
    menuItems,
    translatedStrings,
    className,
    children,
    ...rest
  } = props;
  let headerTranslations = {
    ...defaultTranslations,
    ...translatedStrings,
  };
  return _react.createElement(
    _index.Box,
    {
      as: 'header',
      className: (0, _classnames.default)('iui-page-header', className),
      'data-iui-size': isSlim ? 'slim' : void 0,
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        className: 'iui-page-header-left',
      },
      appLogo,
      breadcrumbs &&
        _react.createElement(_index.Box, {
          className: 'iui-page-header-divider',
        }),
      breadcrumbs,
    ),
    children &&
      _react.createElement(
        _index.Box,
        {
          className: 'iui-page-header-center',
        },
        children,
      ),
    _react.createElement(
      _index.Box,
      {
        className: 'iui-page-header-right',
      },
      actions,
      menuItems &&
        _react.createElement(
          _DropdownMenu.DropdownMenu,
          {
            menuItems: menuItems,
          },
          _react.createElement(
            _IconButton.IconButton,
            {
              styleType: 'borderless',
              'aria-label': headerTranslations.moreOptions,
            },
            _react.createElement(_index.SvgMoreVertical, {
              'aria-hidden': true,
            }),
          ),
        ),
    ),
  );
});
if ('development' === process.env.NODE_ENV) Header.displayName = 'Header';
