import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type HeaderBreadcrumbsProps = {
    /**
     * Array of elements, chevrons will be put between them.
     * (expects HeaderButton[])
     * @example
     * [
     *  <HeaderButton key={...} ... />
     *  <HeaderButton key={...} ... />
     * ]
     */
    items: React.ReactNode[];
};
/**
 * Header breadcrumbs, adds chevron between each provided items.
 * @example
 * <HeaderBreadcrumbs
 *   items={[
 *     <HeaderButton key={...} ... />
 *     <HeaderButton key={...} ... />
 *   ]}
 * />
 */
export declare const HeaderBreadcrumbs: PolymorphicForwardRefComponent<"nav", HeaderBreadcrumbsProps>;
export {};
