'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'HeaderBreadcrumbs', {
  enumerable: true,
  get: function () {
    return HeaderBreadcrumbs;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const HeaderBreadcrumbs = _react.forwardRef((props, forwardedRef) => {
  let { className, items, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'nav',
      'aria-label': 'breadcrumbs',
      className: (0, _classnames.default)(
        'iui-breadcrumbs',
        'iui-header-breadcrumbs',
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        as: 'ol',
        className: (0, _classnames.default)(
          'iui-breadcrumbs-list',
          'iui-header-breadcrumbs-list',
        ),
      },
      items.reduce(
        (previous, current, index) => [
          ...previous,
          current,
          index !== items.length - 1 &&
            _react.createElement(
              _index.Box,
              {
                as: 'li',
                className: 'iui-breadcrumbs-separator',
                key: index,
              },
              _react.createElement(_index.SvgChevronRight, {
                key: `chevron${index}`,
                'aria-hidden': true,
                className: 'iui-chevron',
              }),
            ),
        ],
        [],
      ),
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  HeaderBreadcrumbs.displayName = 'HeaderBreadcrumbs';
