'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'HeaderLogo', {
  enumerable: true,
  get: function () {
    return HeaderLogo;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const HeaderLogo = _react.forwardRef((props, ref) => {
  let {
    className,
    children,
    logo,
    onClick,
    as = !!onClick ? 'button' : 'div',
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)('iui-header-brand', className),
      as: as,
      type: 'button' === as ? 'button' : void 0,
      onClick: onClick,
      ref: ref,
      ...rest,
    },
    logo
      ? _react.createElement(
          _index.Box,
          {
            as: 'span',
            className: 'iui-header-brand-icon',
            'aria-hidden': true,
          },
          logo,
        )
      : null,
    children &&
      _react.createElement(
        _index.Box,
        {
          as: 'span',
          className: 'iui-header-brand-label',
        },
        children,
      ),
  );
});
if ('development' === process.env.NODE_ENV)
  HeaderLogo.displayName = 'HeaderLogo';
