import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
export type InputProps = {
    /**
     * Modify size of the input.
     */
    size?: 'small' | 'large';
    /**
     * Status of input.
     */
    status?: 'positive' | 'warning' | 'negative';
    /**
     * Modify the native `size` attribute of the `<input>` element.
     * The `width` or `inline-size` property must be unset in order to use this prop.
     */
    htmlSize?: number;
};
/**
 * Basic input component
 * @example
 * <Input disabled />
 * <Input size='small' />
 */
export declare const Input: PolymorphicForwardRefComponent<"input", InputProps>;
