'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'ListItem', {
  enumerable: true,
  get: function () {
    return ListItem;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _LinkAction = require('../LinkAction/LinkAction.js');
const ListItemComponent = _react.forwardRef((props, ref) => {
  let {
    size = 'default',
    disabled = false,
    active = false,
    actionable = false,
    focused = false,
    className,
    ...rest
  } = props;
  return _react.createElement(_index.Box, {
    role: 'listitem',
    className: (0, _classnames.default)('iui-list-item', className),
    'data-iui-active': active ? 'true' : void 0,
    'data-iui-disabled': disabled ? 'true' : void 0,
    'data-iui-size': 'large' === size ? 'large' : void 0,
    'data-iui-actionable': actionable ? 'true' : void 0,
    'data-iui-focused': focused ? 'true' : void 0,
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV)
  ListItemComponent.displayName = 'ListItem';
const ListItemIcon = _index.polymorphic.div('iui-list-item-icon');
if ('development' === process.env.NODE_ENV)
  ListItemIcon.displayName = 'ListItem.Icon';
const ListItemContent = _index.polymorphic.div('iui-list-item-content');
if ('development' === process.env.NODE_ENV)
  ListItemContent.displayName = 'ListItem.Content';
const ListItemDescription = _index.polymorphic.div('iui-list-item-description');
if ('development' === process.env.NODE_ENV)
  ListItemDescription.displayName = 'ListItem.Description';
const ListItemAction = _LinkAction.LinkAction;
if ('development' === process.env.NODE_ENV)
  ListItemAction.displayName = 'ListItem.Action';
const ListItem = Object.assign(ListItemComponent, {
  Icon: ListItemIcon,
  Content: ListItemContent,
  Description: ListItemDescription,
  Action: ListItemAction,
});
