import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type MenuItemSkeletonProps = {
    /**
     * Flag whether to show skeleton for sub-label.
     */
    hasSublabel?: boolean;
    /**
     * Flag whether to show skeleton for icon.
     */
    hasIcon?: boolean;
    /**
     * Skeleton content width.
     */
    contentWidth?: string;
    /**
     * Translated strings used for accessibility.
     */
    translatedStrings?: {
        /**
         * Label for loading state. Defaults to "Loading…".
         * It is only visible for the screen readers.
         */
        loading: string;
    };
};
/**
 * Menu item that uses skeletons to indicate loading state.
 */
export declare const MenuItemSkeleton: PolymorphicForwardRefComponent<"div", MenuItemSkeletonProps>;
export {};
