'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'MenuItemSkeleton', {
  enumerable: true,
  get: function () {
    return MenuItemSkeleton;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _VisuallyHidden = require('../VisuallyHidden/VisuallyHidden.js');
const MenuItemSkeleton = _react.forwardRef((props, forwardedRef) => {
  let {
    hasSublabel,
    hasIcon,
    contentWidth,
    translatedStrings = {
      loading: 'Loading…',
    },
    className,
    style,
    ...rest
  } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)('iui-menu-item-skeleton', className),
      'data-iui-size': hasSublabel && 'large',
      style: {
        '--iui-menu-item-content-skeleton-max-width': contentWidth,
        ...style,
      },
      ref: forwardedRef,
      ...rest,
    },
    hasIcon &&
      _react.createElement(_index.Box, {
        className: 'iui-icon iui-skeleton',
        'aria-hidden': true,
      }),
    _react.createElement(
      _index.Box,
      {
        as: 'span',
        className: 'iui-content',
      },
      _react.createElement(_index.Box, {
        className: 'iui-menu-label iui-skeleton',
        'aria-hidden': true,
      }),
      hasSublabel &&
        _react.createElement(_index.Box, {
          className: 'iui-menu-description iui-skeleton',
          'aria-hidden': true,
        }),
      _react.createElement(
        _VisuallyHidden.VisuallyHidden,
        null,
        translatedStrings.loading,
      ),
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  MenuItemSkeleton.displayName = 'MenuItemSkeleton';
