'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'Overlay', {
  enumerable: true,
  get: function () {
    return Overlay;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const OverlayComponent = _react.forwardRef((props, forwardedRef) => {
  let { content, children, ...rest } = props;
  return _react.createElement(
    OverlayWrapper,
    {
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(OverlayOverlay, null, content),
    _react.createElement(OverlayHiddenContent, null, children),
  );
});
if ('development' === process.env.NODE_ENV)
  OverlayComponent.displayName = 'Overlay';
const OverlayHiddenContent = _react.forwardRef((props, ref) => {
  let { children, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      inert: 'true',
      ref: ref,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  OverlayHiddenContent.displayName = 'Overlay.HiddenContent';
const OverlayOverlay = _index.polymorphic.div('iui-overlay');
if ('development' === process.env.NODE_ENV)
  OverlayOverlay.displayName = 'Overlay.Overlay';
const OverlayWrapper = _index.polymorphic.div('iui-overlay-wrapper');
if ('development' === process.env.NODE_ENV)
  OverlayWrapper.displayName = 'Overlay.Wrapper';
const Overlay = Object.assign(OverlayComponent, {
  Wrapper: OverlayWrapper,
  HiddenContent: OverlayHiddenContent,
  Overlay: OverlayOverlay,
});
