import * as React from 'react';
export type PanelsInstance = {
    /** Go back to the panel that has a trigger that points to the current panel. */
    goBack: () => void;
};
export type TriggerMapEntry = {
    triggerId: string;
    panelId: string;
};
export type FocusEntry = {
    fromPanelId: string;
    toPanelId: string;
    direction: 'forward' | 'backward';
} | undefined;
export declare const PanelsInstanceContext: React.Context<{
    instance: PanelsInstance;
} | undefined>;
type PanelInstanceProviderProps = {
    children: React.ReactNode;
    instance: PanelsInstance | undefined;
};
export declare const PanelsInstanceProvider: (props: PanelInstanceProviderProps) => React.JSX.Element;
export {};
