import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type RadioProps = {
    /**
     * Label of the radio.
     */
    label?: React.ReactNode;
    /**
     * Status of the radio.
     */
    status?: 'positive' | 'warning' | 'negative';
    /**
     * Passes props to Radio label.
     */
    labelProps?: React.ComponentProps<'span'>;
    /**
     * Passes props to Radio wrapper.
     */
    wrapperProps?: React.ComponentProps<'label'>;
};
/**
 * Basic radio input component
 * @example
 * <Radio />
 * <Radio label='Radio' />
 * <Radio disabled={true} label='Radio' />
 * <Radio status='positive' label='Positive' />
 * <Radio status='warning' label='Warning' />
 * <Radio status='negative' label='Negative' />
 */
export declare const Radio: PolymorphicForwardRefComponent<"input", RadioProps>;
export {};
