'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'RadioTile', {
  enumerable: true,
  get: function () {
    return RadioTile;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const RadioTile = _react.forwardRef((props, ref) => {
  let {
    icon,
    label,
    description,
    className,
    wrapperProps,
    iconProps,
    labelProps,
    subLabelProps,
    style,
    ...rest
  } = props;
  let inputElementRef = _react.useRef(null);
  let refs = (0, _index.useMergedRefs)(inputElementRef, ref);
  return _react.createElement(
    _index.Box,
    {
      as: 'label',
      'data-iui-disabled': props.disabled ? 'true' : void 0,
      ...wrapperProps,
      className: (0, _classnames.default)(
        'iui-radio-tile',
        wrapperProps?.className,
      ),
    },
    _react.createElement(_index.Box, {
      as: 'input',
      ref: refs,
      className: (0, _classnames.default)('iui-radio-tile-input', className),
      style: style,
      type: 'radio',
      ...rest,
    }),
    icon &&
      _react.createElement(
        _index.Box,
        {
          as: 'span',
          'aria-hidden': true,
          ...iconProps,
          className: (0, _classnames.default)(
            'iui-radio-tile-icon',
            iconProps?.className,
          ),
        },
        icon,
      ),
    label &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...labelProps,
          className: (0, _classnames.default)(
            'iui-radio-tile-label',
            labelProps?.className,
          ),
        },
        label,
      ),
    description &&
      _react.createElement(
        _index.Box,
        {
          as: 'div',
          ...subLabelProps,
          className: (0, _classnames.default)(
            'iui-radio-tile-sublabel',
            subLabelProps?.className,
          ),
        },
        description,
      ),
  );
});
if ('development' === process.env.NODE_ENV) RadioTile.displayName = 'RadioTile';
