import * as React from 'react';
import { InputGroup } from '../InputGroup/InputGroup.js';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type RadioTileGroupProps = {
    tileContainerProps?: React.ComponentProps<'div'>;
} & Omit<React.ComponentProps<typeof InputGroup>, 'displayStyle' | 'disabled'>;
/**
 * RadioTileGroup component to group RadioTile components together
 * @example
 * <RadioTileGroup label='My group'>
 *   <RadioTile label='First tile' icon={<SvgSmileyHappy />} />
 *   <RadioTile label='Second tile' icon={<SvgSmileySad />} />
 * </RadioTileGroup>
 */
export declare const RadioTileGroup: PolymorphicForwardRefComponent<"div", RadioTileGroupProps>;
export {};
