'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'RadioTileGroup', {
  enumerable: true,
  get: function () {
    return RadioTileGroup;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _InputGroup = require('../InputGroup/InputGroup.js');
const _index = require('../../utils/index.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const RadioTileGroup = _react.forwardRef((props, forwardedRef) => {
  let { children, label, tileContainerProps, ...rest } = props;
  return _react.createElement(
    _InputGroup.InputGroup,
    {
      label: label,
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(
      _index.Box,
      {
        as: 'div',
        ...tileContainerProps,
        className: (0, _classnames.default)(
          'iui-radio-tile-container',
          tileContainerProps?.className,
        ),
      },
      children,
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  RadioTileGroup.displayName = 'RadioTileGroup';
