import * as React from 'react';
import { Tag } from '../Tag/Tag.js';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type SelectTagProps = {
    /**
     * Text inside the tag.
     */
    label: string;
} & Pick<React.ComponentProps<typeof Tag>, 'onClick' | 'onRemove'>;
/**
 * Tag for showing selected value in `Select`.
 * @private
 */
export declare const SelectTag: PolymorphicForwardRefComponent<"span", SelectTagProps>;
export {};
