'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SelectTagContainer', {
  enumerable: true,
  get: function () {
    return SelectTagContainer;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _SelectTag = require('./SelectTag.js');
const _index = require('../../utils/index.js');
const SelectTagContainer = _react.forwardRef((props, forwardedRef) => {
  let { tags: tagsProp, className, ...rest } = props;
  let tags = _react.useMemo(
    () => _react.Children.toArray(tagsProp),
    [tagsProp],
  );
  return _react.createElement(
    _index.OverflowContainer,
    {
      itemsCount: tags.length,
      className: (0, _classnames.default)(
        'iui-select-tag-container',
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    _react.createElement(SelectTagContainerContent, {
      ...props,
      tags: tags,
    }),
  );
});
const SelectTagContainerContent = (props) => {
  let { tags } = props;
  let { visibleCount } = _index.OverflowContainer.useContext();
  return _react.createElement(
    _react.Fragment,
    null,
    visibleCount < tags.length ? tags.slice(0, visibleCount - 1) : tags,
    _react.createElement(
      _index.OverflowContainer.OverflowNode,
      null,
      _react.createElement(_SelectTag.SelectTag, {
        label: `+${tags.length - visibleCount + 1} item(s)`,
      }),
    ),
  );
};
