'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SidenavButton', {
  enumerable: true,
  get: function () {
    return SidenavButton;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _Button = require('../Buttons/Button.js');
const _Tooltip = require('../Tooltip/Tooltip.js');
const _SideNavigation = require('./SideNavigation.js');
const SidenavButton = _react.forwardRef((props, ref) => {
  let {
    className,
    children,
    isActive = false,
    disabled = false,
    isSubmenuOpen = false,
    ...rest
  } = props;
  let isExpanded =
    true === _react.useContext(_SideNavigation.SidenavExpandedContext);
  let sidenavButton = _react.createElement(
    _Button.Button,
    {
      className: (0, _classnames.default)(
        'iui-sidenav-button',
        {
          'iui-submenu-open': isSubmenuOpen,
        },
        className,
      ),
      'data-iui-active': isActive,
      size: 'large',
      disabled: disabled,
      ref: ref,
      ...rest,
    },
    children,
  );
  return isExpanded
    ? sidenavButton
    : _react.createElement(
        _Tooltip.Tooltip,
        {
          content: children,
          placement: 'right',
          ariaStrategy: 'none',
        },
        sidenavButton,
      );
});
if ('development' === process.env.NODE_ENV)
  SidenavButton.displayName = 'SidenavButton';
