'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'StatusMessage', {
  enumerable: true,
  get: function () {
    return StatusMessage;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _Icon = require('../Icon/Icon.js');
const StatusMessage = _react.forwardRef((props, ref) => {
  let {
    children,
    startIcon: userStartIcon,
    status,
    className,
    iconProps,
    contentProps,
    ...rest
  } = props;
  let icon = userStartIcon ?? (status && _index.StatusIconMap[status]());
  let shouldShowIcon = null !== userStartIcon && !!icon;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)('iui-status-message', className),
      'data-iui-status': status,
      ref: ref,
      ...rest,
    },
    shouldShowIcon
      ? _react.createElement(
          _Icon.Icon,
          {
            'aria-hidden': true,
            ...iconProps,
          },
          icon,
        )
      : null,
    _react.createElement(_index.Box, contentProps, children),
  );
});
if ('development' === process.env.NODE_ENV)
  StatusMessage.displayName = 'StatusMessage';
