'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'WorkflowDiagram', {
  enumerable: true,
  get: function () {
    return WorkflowDiagram;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../utils/index.js');
const _WorkflowDiagramStep = require('./WorkflowDiagramStep.js');
const WorkflowDiagram = _react.forwardRef((props, ref) => {
  let { steps, className, contentProps, wrapperProps, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      as: 'div',
      ...wrapperProps,
      ref: ref,
    },
    _react.createElement(
      _index.Box,
      {
        as: 'ol',
        className: (0, _classnames.default)('iui-workflow-diagram', className),
        ...rest,
      },
      steps.map((s, index) => {
        let thisContentProps = contentProps?.(index);
        return _react.createElement(_WorkflowDiagramStep.WorkflowDiagramStep, {
          contentProps: thisContentProps,
          key: index,
          title: s.name,
          description: s.description,
        });
      }),
    ),
  );
});
if ('development' === process.env.NODE_ENV)
  WorkflowDiagram.displayName = 'WorkflowDiagram';
