'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'SubRowExpander', {
  enumerable: true,
  get: function () {
    return SubRowExpander;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const _IconButton = require('../Buttons/IconButton.js');
const SubRowExpander = (props) => {
  let { cell, isDisabled, cellProps, expanderCell, density, ...rest } = props;
  return _react.createElement(
    _react.Fragment,
    null,
    expanderCell
      ? expanderCell(cellProps)
      : _react.createElement(
          _IconButton.IconButton,
          {
            'aria-label': 'Toggle sub row',
            'aria-expanded': cell.row.isExpanded ? 'true' : 'false',
            style: {
              marginInlineEnd:
                'default' === density || void 0 === density ? 8 : 4,
            },
            className: 'iui-table-row-expander',
            styleType: 'borderless',
            size: 'small',
            onClick: (e) => {
              e.stopPropagation();
              cell.row.toggleRowExpanded();
            },
            disabled: isDisabled,
            ...rest,
          },
          _react.createElement(_index.SvgChevronRight, {
            style: {
              transform: cell.row.isExpanded ? 'rotate(90deg)' : void 0,
            },
          }),
        ),
  );
};
