'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'TableExpandableContentMemoized', {
  enumerable: true,
  get: function () {
    return TableExpandableContentMemoized;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const TableExpandableContent = _react.forwardRef((props, ref) => {
  let { children, className, style, isDisabled, virtualItem, ...rest } = props;
  return _react.createElement(
    _index.Box,
    {
      className: (0, _classnames.default)(
        'iui-table-row',
        'iui-table-expanded-content',
        className,
      ),
      style: {
        flex: '0 0 auto',
        minWidth: '100%',
        ...(null != virtualItem
          ? {
              transform: `translateY(${virtualItem.start}px)`,
            }
          : {}),
        ...style,
      },
      'aria-disabled': isDisabled,
      'data-iui-index': virtualItem?.index,
      ...(null != virtualItem && {
        'data-iui-virtualizer': 'item',
      }),
      ref: ref,
      ...rest,
    },
    children,
  );
});
const TableExpandableContentMemoized = _react.memo(TableExpandableContent);
