import type { ActionType, TableInstance, TableState, IdType } from '../../../react-table/react-table.js';
/**
 * Handles selection when toggling a row (Ctrl click or checkbox click)
 */
export declare const onToggleHandler: <T extends Record<string, unknown>>(newState: TableState<T>, action: ActionType, instance?: TableInstance<T>, onSelect?: (selectedData: T[] | undefined, tableState?: TableState<T>) => void, isRowDisabled?: (rowData: T) => boolean) => void;
/**
 * Handles selection when clicked on a row.
 */
export declare const onSingleSelectHandler: <T extends Record<string, unknown>>(state: TableState<T>, action: ActionType, instance?: TableInstance<T>, onSelect?: (selectedData: T[] | undefined, tableState?: TableState<T>) => void, isRowDisabled?: (rowData: T) => boolean) => {
    lastSelectedRowId: any;
    selectedRowIds: Record<string, boolean>;
    hiddenColumns?: IdType<T>[] | undefined;
    columnResizing: {
        startX?: number;
        columnWidth?: number;
        nextColumnWidth?: number;
        headerIdWidths?: Array<[string, number]>;
        nextHeaderIdWidths?: Array<[string, number]>;
        columnWidths: Record<string, number>;
        isResizingColumn?: string;
    };
    isTableResizing?: boolean;
    columnReorderStartIndex: number;
    sticky: {
        isScrolledToRight?: boolean;
        isScrolledToLeft?: boolean;
    };
    columnOrder: IdType<T>[];
    expanded: Record<IdType<T>, boolean>;
    filters: import("../../../react-table/react-table.js").Filters<T>;
    globalFilter: any;
    groupBy: IdType<T>[];
    pageSize: number;
    pageIndex: number;
    rowState: Record<string, {
        cellState: import("../../../react-table/react-table.js").UseRowStateLocalState<T, unknown>;
    }>;
    sortBy: import("../../../react-table/react-table.js").SortingRule<T>[];
};
/**
 * Handles selection when clicked on a row while shift key is pressed.
 */
export declare const onShiftSelectHandler: <T extends Record<string, unknown>>(state: TableState<T>, action: ActionType, instance?: TableInstance<T>, onSelect?: (selectedData: T[] | undefined, tableState?: TableState<T>) => void, isRowDisabled?: (rowData: T) => boolean) => TableState<T>;
