import type { PolymorphicForwardRefComponent } from '../../../utils/index.js';
/**
 * Filter wrapper that should be used when creating custom filters.
 * @example
 * <BaseFilter>
 *   <Input
 *     value={text}
 *     onChange={(e) => setText(e.target.value)}
 *   />
 *   <FilterButtonBar
 *     setFilter={() => setFilter(text)}
 *     clearFilter={clearFilter}
 *   />
 * </BaseFilter>
 */
export declare const BaseFilter: PolymorphicForwardRefComponent<"form">;
