import * as React from 'react';
import type { LabeledInput } from '../../../LabeledInput/LabeledInput.js';
import type { PolymorphicForwardRefComponent } from '../../../../utils/index.js';
import { DatePicker } from '../../../DatePicker/DatePicker.js';
import type { DatePickerLocalizedNames } from '../../../DatePicker/DatePicker.js';
export type DatePickerInputProps = {
    date?: Date;
    onChange: (date?: Date) => void;
    parseInput: (text: string) => Date;
    formatDate: (date: Date) => string;
    /**
     * Decides if this component is used for the 'from' or 'to' date
     */
    isFromOrTo?: 'from' | 'to';
    /**
     * The 'to' date for the 'from' DatePickerInput or the 'from' date for the 'to' DatePickerInput
     */
    selectedDate?: Date;
    /**
     * Months, short days and days localized names for DatePicker
     */
    localizedNames?: DatePickerLocalizedNames;
} & Omit<React.ComponentProps<typeof LabeledInput>, 'value' | 'onChange' | 'svgIcon' | 'displayStyle'> & Pick<React.ComponentProps<typeof DatePicker>, 'showYearSelection'>;
export declare const DatePickerInput: PolymorphicForwardRefComponent<"input", DatePickerInputProps>;
