import * as React from 'react';
import type { FilterButtonBarTranslation } from '../FilterButtonBar.js';
import type { TableFilterProps } from '../types.js';
import { DatePickerInput } from './DatePickerInput.js';
import type { DatePickerLocalizedNames } from '../../../DatePicker/DatePicker.js';
export type DateRangeTranslation = {
    from: string;
    to: string;
    datePicker?: DatePickerLocalizedNames;
};
export type DateRangeFilterProps<T extends Record<string, unknown>> = TableFilterProps<T> & {
    formatDate?: (date: Date) => string;
    parseInput?: (text: string) => Date;
    placeholder?: string;
    translatedLabels?: DateRangeTranslation & FilterButtonBarTranslation;
} & Pick<React.ComponentProps<typeof DatePickerInput>, 'showYearSelection'>;
export declare const DateRangeFilter: <T extends Record<string, unknown>>(props: DateRangeFilterProps<T>) => React.JSX.Element;
