'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'FilterToggle', {
  enumerable: true,
  get: function () {
    return FilterToggle;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _index = require('../../../utils/index.js');
const _IconButton = require('../../Buttons/IconButton.js');
const _Popover = require('../../Popover/Popover.js');
const FilterToggle = (props) => {
  let { column, className, ...rest } = props;
  (0, _index.useGlobals)();
  let [isVisible, setIsVisible] = _react.useState(false);
  let close = _react.useCallback(() => setIsVisible(false), []);
  let setFilter = _react.useCallback(
    (filterValue) => {
      column.setFilter(filterValue);
      close();
    },
    [close, column],
  );
  let clearFilter = _react.useCallback(() => {
    column.setFilter(void 0);
    close();
  }, [close, column]);
  let isColumnFiltered =
    null != column.filterValue && '' !== column.filterValue;
  return _react.createElement(
    _react.Fragment,
    null,
    column.canFilter &&
      column.Filter &&
      _react.createElement(
        _Popover.Popover,
        {
          content: column.render('Filter', {
            close,
            setFilter,
            clearFilter,
          }),
          placement: 'bottom-start',
          visible: isVisible,
          onVisibleChange: setIsVisible,
          closeOnOutsideClick: true,
          applyBackground: true,
        },
        _react.createElement(
          _IconButton.IconButton,
          {
            styleType: 'borderless',
            isActive: isVisible || isColumnFiltered,
            className: (0, _classnames.default)(
              'iui-table-filter-button',
              className,
            ),
            'aria-label': 'Filter',
            onClick: (e) => {
              e.stopPropagation();
            },
            'data-iui-shift': 'left',
            ...rest,
          },
          isColumnFiltered
            ? _react.createElement(_index.SvgFilter, null)
            : _react.createElement(_index.SvgFilterHollow, null),
        ),
      ),
  );
};
