'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'TextFilter', {
  enumerable: true,
  get: function () {
    return TextFilter;
  },
});
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../../../utils/index.js');
const _Input = require('../../../Input/Input.js');
const _FilterButtonBar = require('../FilterButtonBar.js');
const _BaseFilter = require('../BaseFilter.js');
const TextFilter = (props) => {
  let { column, translatedLabels, setFilter, clearFilter } = props;
  (0, _index.useGlobals)();
  let [text, setText] = _react.useState(column.filterValue ?? '');
  let inputRef = _react.useRef(null);
  _react.useEffect(() => {
    if (inputRef.current) inputRef.current.focus();
  }, []);
  return _react.createElement(
    _BaseFilter.BaseFilter,
    {
      onSubmit: () => setFilter(text),
    },
    _react.createElement(_Input.Input, {
      ref: inputRef,
      value: text,
      onChange: (e) => setText(e.target.value),
      required: true,
    }),
    _react.createElement(_FilterButtonBar.FilterButtonBar, {
      clearFilter: clearFilter,
      translatedLabels: translatedLabels,
    }),
  );
};
