import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type BlockquoteProps = {
    /**
     * Optional footer for any attribution/source.
     */
    footer?: React.ReactNode;
};
/**
 * Basic blockquote component
 * @example
 * <Blockquote>This is a quote</Blockquote>
 * <Blockquote footer='— Someone'>
 *  <p>This is a quote from someone</p>
 * </Blockquote>
 */
export declare const Blockquote: PolymorphicForwardRefComponent<"blockquote", BlockquoteProps>;
export {};
