import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
/**
 * Some predefined strings for common keyboard keys.
 */
export declare const KbdKeys: {
    readonly Command: "⌘ Cmd";
    readonly Shift: "⇧ Shift";
    readonly Backspace: "⌫ Backspace";
    readonly Enter: "↵ Enter";
    readonly Eject: "⏏ Eject";
    readonly Control: "Ctrl";
    readonly Windows: "⊞ Win";
    readonly Apple: "";
    readonly Option: "⌥ Option";
    readonly Left: "←";
    readonly Up: "↑";
    readonly Right: "→";
    readonly Down: "↓";
};
type KbdProps = {
    /**
     * Content of the key to be passed as children. Must be a string or one of the `KbdKeys`.
     */
    children: string;
};
/**
 * A keyboard key element.
 * @example
 * <Kbd>A</Kbd>
 * <Kbd title='Enter'>{KbdKeys.Enter}</Kbd>
 */
export declare const Kbd: PolymorphicForwardRefComponent<"kbd", KbdProps>;
export {};
