'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
function _export(target, all) {
  for (var name in all)
    Object.defineProperty(target, name, {
      enumerable: true,
      get: all[name],
    });
}
_export(exports, {
  Text: function () {
    return Text;
  },
  TextContext: function () {
    return TextContext;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _index = require('../../utils/index.js');
const Text = _react.forwardRef((props, ref) => {
  let {
    variant = 'body',
    className,
    isMuted = false,
    isSkeleton = false,
    ...rest
  } = props;
  return _react.createElement(
    TextContext.Provider,
    {
      value: true,
    },
    _react.createElement(_index.Box, {
      className: (0, _classnames.default)(
        {
          [`iui-text-${variant}`]: 'body' !== variant,
          'iui-text-block': 'body' === variant,
          'iui-text-muted': isMuted,
          'iui-skeleton': isSkeleton,
        },
        className,
      ),
      ref: ref,
      ...rest,
    }),
  );
});
if ('development' === process.env.NODE_ENV) Text.displayName = 'Text';
const TextContext = _react.createContext(false);
