import * as React from 'react';
/**
 * Visually-hidden polite live region that automatically clears itself after 5 seconds.
 *
 * Should only be used for small updates and user-initiated actions (e.g. when _updating_ the selection),
 * otherwise it could cause too many announcements every time an instance of this component is mounted.
 *
 * @private
 */
export declare const AutoclearingHiddenLiveRegion: ({ text, ...props }: React.ComponentProps<"div"> & {
    text: string;
}) => React.JSX.Element;
