/**
 * Wrapper around native CSS module scripts (import attributes) for dynamic imports.
 * In unsupported browsers, it gracefully degrades to import assertions, and then `fetch`.
 *
 * Returns a constructable CSSStyleSheet object that can be adopted.
 *
 * @see https://web.dev/articles/css-module-scripts
 * @see https://github.com/tc39/proposal-import-attributes
 */
export declare const importCss: (url: string) => Promise<{
    default: CSSStyleSheet;
}>;
