import * as React from 'react';
import { ThemeContext } from '../../core/ThemeProvider/ThemeContext.js';
/**
 * Hook used in every component for any shared setup and side effects.
 * Returns the nearest ThemeContext.
 *
 * @private
 */
export declare const useGlobals: () => {
    theme?: import("../../index.js").ThemeType;
    themeOptions?: import("../../core/ThemeProvider/ThemeProvider.js").ThemeOptions;
    portalContainer?: HTMLElement | null;
} | undefined;
/** Shows console error if ThemeProvider is not used */
export declare const useThemeProviderWarning: (themeContext: React.ContextType<typeof ThemeContext>) => void;
