import * as React from 'react';
/**
 * SSR-safe version of `useLayoutEffect` that replaces it with `useEffect` on the server.
 *
 * Exported as `useLayoutEffect` so that the react hooks linter correctly identifies the necessary dependencies.
 *
 * @see https://fb.me/react-uselayouteffect-ssr
 */
declare const useIsomorphicLayoutEffect: typeof React.useEffect;
export { useIsomorphicLayoutEffect as useLayoutEffect };
