import * as React from 'react';
/**
 * Function that merges the provided refs into one.
 */
export declare const mergeRefs: <T>(...refs: Array<React.Ref<T> | React.Ref<T> | undefined | null>) => (instance: T | null) => void;
/**
 * Returns a ref callback that merges the provided refs using `mergeRefs`.
 */
export declare const useMergedRefs: <T>(...refs: ReadonlyArray<React.Ref<T> | React.Ref<T> | undefined | null>) => (instance: T | null) => void;
