import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type CarouselDotProps = {
    /** Is this dot currently active? */
    isActive?: boolean;
    /** Should be set to true for dots that are one spot from the edge of truncation. The dot size becomes small.  */
    isSmall?: boolean;
    /** Should be set to true for dots that are at the edge of truncation. The dot size becomes even smaller.  */
    isSmaller?: boolean;
};
/**
 * `CarouselDot` is the actual "dot" component used to activate a slide on clicking.
 * It should be used as a child of `CarouselDotsList`.
 */
export declare const CarouselDot: PolymorphicForwardRefComponent<"button", CarouselDotProps>;
export {};
