import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
import { Slider } from '../Slider/Slider.js';
type ColorBuilderProps = {
    /**
     * Passes props to the color field.
     */
    colorFieldProps?: React.ComponentProps<'div'>;
    /**
     * Passes props to the color dot.
     */
    colorDotProps?: React.ComponentProps<'div'>;
    /**
     * Passes props to the color opacity slider.
     */
    opacitySliderProps?: React.ComponentProps<typeof Slider>;
    /**
     * Passes props to the color hue slider.
     */
    hueSliderProps?: React.ComponentProps<typeof Slider>;
};
/**
 * `ColorBuilder` consists of two parts:
 * a color canvas to adjust saturation and lightness values,
 * and a set of sliders to adjust hue and alpha values.
 */
export declare const ColorBuilder: PolymorphicForwardRefComponent<"div", ColorBuilderProps>;
export {};
