import * as React from 'react';
import type { SelectOption } from '../Select/Select.js';
import type { usePopover } from '../Popover/Popover.js';
export declare const ComboBoxRefsContext: React.Context<{
    inputRef: React.RefObject<HTMLInputElement | null>;
    menuRef: React.RefObject<HTMLElement | null>;
    optionsExtraInfo: Record<string, {
        __originalIndex: number;
    }>;
} | undefined>;
type ComboBoxStateContextProps<T = unknown> = {
    isOpen: boolean;
    id: string;
    enableVirtualization: boolean;
    filteredOptions: SelectOption<T>[];
    onClickHandler?: (prop: number) => void;
    getMenuItem: (option: SelectOption<T>, filteredIndex?: number) => React.JSX.Element;
    focusedIndex: number;
    setFocusedIndex: React.Dispatch<React.SetStateAction<number>>;
    multiple?: boolean;
    popover: ReturnType<typeof usePopover>;
    show: () => void;
    hide: () => void;
};
export declare const ComboBoxStateContext: React.Context<ComboBoxStateContextProps<unknown> | undefined>;
export {};
