import type { BackdropProps } from '../Backdrop/Backdrop.js';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
import { type DialogContextProps } from './DialogContext.js';
type DialogBackdropProps = BackdropProps & Pick<DialogContextProps, 'onClose' | 'isDismissible' | 'closeOnExternalClick' | 'relativeTo'>;
/**
 * Backdrop component for dialog. Recommended to be used with `Dialog`
 * then its visibility is being controlled by dialog's `isOpen` prop.
 * @example
 * <Dialog.Backdrop />
 */
export declare const DialogBackdrop: PolymorphicForwardRefComponent<"div", DialogBackdropProps>;
export {};
