import * as React from 'react';
import cx from 'classnames';
import { Box } from '../../utils/components/Box.js';
export const Divider = React.forwardRef((props, ref) => {
  let { className, orientation = 'horizontal', ...rest } = props;
  return React.createElement(Box, {
    as: 'hr',
    className: cx('iui-divider', className),
    'aria-orientation': 'vertical' === orientation ? 'vertical' : void 0,
    ref: ref,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV) Divider.displayName = 'Divider';
