import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type FieldsetProps = {
    /**
     * The caption or title for the fieldset.
     */
    legend?: React.ReactNode;
};
/**
 * Fieldset component to group several inputs, controls and labels within a form.
 * @example
 * <Fieldset legend='Settings'>
 *   <Input />
 *   <InputGroup>
 *     <ToggleSwitch />
 *     <ToggleSwitch />
 *   </InputGroup>
 * </Fieldset>
 */
export declare const Fieldset: PolymorphicForwardRefComponent<"fieldset", FieldsetProps>;
export {};
