import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
/**
 * Empty file card to be used with the `FileUploadCard` component when no file has been uploaded.
 * @example
 * <FileEmptyCard />
 * <FileEmptyCard>
 *   <FileEmptyCard.Icon>
 *     <SvgSmileySadVery />
 *   </FileEmptyCard.Icon>
 *   <FileEmptyCard.Text>
 *     <FileUploadCard.InputLabel>
 *       Custom Label Text
 *     </FileUploadCard.InputLabel>
 *     <div>Custom Description Text</div>
 *   </FileEmptyCard.Text>
 * </FileEmptyCard>
 */
export declare const FileEmptyCard: PolymorphicForwardRefComponent<"div", {}> & {
    Icon: PolymorphicForwardRefComponent<"span", {}>;
    Text: PolymorphicForwardRefComponent<"span", {}>;
};
