import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type HeaderLogoOwnProps = {
    /**
     * Logo shown before the main content.
     */
    logo: React.JSX.Element;
    /**
     * Click event handler.
     * If passed, the component will be rendered as a `<button>` rather than `<div>`.
     */
    onClick?: (e: unknown) => void;
};
/**
 * Header Title section
 * @example
 * <HeaderLogo logo={<SvgImodelHollow />}>iTwin Application</HeaderLogo>
 * <HeaderLogo logo={<SvgImodelHollow />} />
 * <HeaderLogo logo={<img src='image.png' />} />
 * <HeaderLogo logo={<img src='data:image/png;base64,...' />}>Downloaded Image</HeaderLogo>
 */
export declare const HeaderLogo: PolymorphicForwardRefComponent<"div", HeaderLogoOwnProps>;
export {};
