import cx from 'classnames';
import * as React from 'react';
import { useMergedRefs, Box } from '../../utils/index.js';
export const Input = React.forwardRef((props, ref) => {
  let { size, htmlSize, status, className, ...rest } = props;
  let inputRef = React.useRef(null);
  let refs = useMergedRefs(inputRef, ref);
  return React.createElement(Box, {
    as: 'input',
    className: cx('iui-input', 'iui-field', className),
    'data-iui-size': size,
    'data-iui-status': status,
    size: htmlSize,
    ref: refs,
    ...rest,
  });
});
if ('development' === process.env.NODE_ENV) Input.displayName = 'Input';
