import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type InputGridOwnProps = {
    /**
     * Set display style of label.
     * Supported values:
     * - 'default' - label appears above input.
     * - 'inline' - appears in the same line as input.
     * @default 'default'
     */
    labelPlacement?: 'default' | 'inline';
};
/**
 * InputGrid component is used to display form fields (input, textarea, select)
 * with label and/or status message
 *
 * Form fields are automatically associated with the label and status message for
 * better accessibility.
 *
 * @example
 * <InputGrid>
 *   <Label>This is a label</Label>
 *   <Input />
 *   <StatusMessage>This is a message</StatusMessage>
 * </InputGrid>
 */
export declare const InputGrid: PolymorphicForwardRefComponent<"div", InputGridOwnProps>;
export {};
