import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type RadioTileProps = {
    /**
     * Icon to be used.
     */
    icon?: React.JSX.Element;
    /**
     * Label of the Radio tile.
     */
    label?: React.ReactNode;
    /**
     * Additional description, if needed.
     */
    description?: React.ReactNode;
    /**
     * Passes props to tile wrapper.
     */
    wrapperProps?: React.ComponentProps<'label'>;
    /**
     * Passes props to tile icon.
     */
    iconProps?: React.ComponentProps<'span'>;
    /**
     * Passes props to tile label.
     */
    labelProps?: React.ComponentProps<'div'>;
    /**
     * Passes props to tile sublabel.
     */
    subLabelProps?: React.ComponentProps<'div'>;
};
/**
 * RadioTile component to be used in RadioTileGroup component
 * @example
 * <RadioTile label='My tile' description='Some info' icon={<SvgSmileyHappy />} />
 */
export declare const RadioTile: PolymorphicForwardRefComponent<"input", RadioTileProps>;
export {};
