import * as React from 'react';
import cx from 'classnames';
import { SelectTag } from './SelectTag.js';
import { OverflowContainer } from '../../utils/index.js';
export const SelectTagContainer = React.forwardRef((props, forwardedRef) => {
  let { tags: tagsProp, className, ...rest } = props;
  let tags = React.useMemo(() => React.Children.toArray(tagsProp), [tagsProp]);
  return React.createElement(
    OverflowContainer,
    {
      itemsCount: tags.length,
      className: cx('iui-select-tag-container', className),
      ref: forwardedRef,
      ...rest,
    },
    React.createElement(SelectTagContainerContent, {
      ...props,
      tags: tags,
    }),
  );
});
let SelectTagContainerContent = (props) => {
  let { tags } = props;
  let { visibleCount } = OverflowContainer.useContext();
  return React.createElement(
    React.Fragment,
    null,
    visibleCount < tags.length ? tags.slice(0, visibleCount - 1) : tags,
    React.createElement(
      OverflowContainer.OverflowNode,
      null,
      React.createElement(SelectTag, {
        label: `+${tags.length - visibleCount + 1} item(s)`,
      }),
    ),
  );
};
