import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
import type { ButtonProps } from '../Buttons/Button.js';
type SidenavButtonProps = {
    /**
     * Whether the sidenav button is active,
     * i.e. the current page corresponds to this button.
     */
    isActive?: boolean;
    /**
     * Whether the sidenav button only has submenu open,
     * i.e. submenu is open but the current page does not correspond to this button.
     */
    isSubmenuOpen?: boolean;
} & Omit<ButtonProps, 'styleType' | 'size'>;
/**
 * Wrapper around Button to be used as SideNavigation items.
 * Label is hidden when sidenav is collapsed.
 */
export declare const SidenavButton: PolymorphicForwardRefComponent<"button", SidenavButtonProps>;
export {};
