import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../../utils/index.js';
type SidenavSubmenuHeaderProps = {
    /**
     * Actions shown at the end of the submenu label.
     */
    actions?: React.ReactNode;
};
/**
 * Header content for `SidenavSubmenu`. Supports truncated label and actions buttons.
 * @example
 * <SidenavSubmenuHeader actions={
 *   <IconButton styleType='borderless' onClick={() => {}} aria-label='Settings'>
 *     <SvgSettings />
 *   </IconButton>
 * }>
 *   <IconButton styleType='borderless' onClick={() => {}} aria-label='Back'>
 *     <SvgCaretLeft />
 *   </IconButton>
 *   <span>Documents</span>
 * </SidenavSubmenuHeader>
 */
export declare const SidenavSubmenuHeader: PolymorphicForwardRefComponent<"div", SidenavSubmenuHeaderProps>;
export {};
