import cx from 'classnames';
import * as React from 'react';
import { Tooltip } from '../Tooltip/Tooltip.js';
import { Box } from '../../utils/index.js';
export const WorkflowDiagramStep = (props) => {
  let { title, description, className, style, contentProps, ...rest } = props;
  let stepShape = React.createElement(
    Box,
    {
      as: 'li',
      className: cx('iui-workflow-diagram-step', className),
      style: style,
      ...rest,
    },
    React.createElement(
      Box,
      {
        as: 'span',
        ...contentProps,
        className: cx('iui-workflow-diagram-content', contentProps?.className),
      },
      title,
    ),
  );
  return description
    ? React.createElement(
        Tooltip,
        {
          content: description,
        },
        stepShape,
      )
    : stepShape;
};
