import type { ActionType, TableState } from '../../../react-table/react-table.js';
export declare const onTableResizeStart: <T extends Record<string, unknown>>(state: TableState<T>) => {
    isTableResizing: boolean;
    hiddenColumns?: import("../../../react-table/react-table.js").IdType<T>[] | undefined;
    columnResizing: {
        startX?: number;
        columnWidth?: number;
        nextColumnWidth?: number;
        headerIdWidths?: Array<[string, number]>;
        nextHeaderIdWidths?: Array<[string, number]>;
        columnWidths: Record<string, number>;
        isResizingColumn?: string;
    };
    columnReorderStartIndex: number;
    sticky: {
        isScrolledToRight?: boolean;
        isScrolledToLeft?: boolean;
    };
    lastSelectedRowId?: string;
    columnOrder: import("../../../react-table/react-table.js").IdType<T>[];
    expanded: Record<import("../../../react-table/react-table.js").IdType<T>, boolean>;
    filters: import("../../../react-table/react-table.js").Filters<T>;
    globalFilter: any;
    groupBy: import("../../../react-table/react-table.js").IdType<T>[];
    pageSize: number;
    pageIndex: number;
    selectedRowIds: Record<import("../../../react-table/react-table.js").IdType<T>, boolean>;
    rowState: Record<string, {
        cellState: import("../../../react-table/react-table.js").UseRowStateLocalState<T, unknown>;
    }>;
    sortBy: import("../../../react-table/react-table.js").SortingRule<T>[];
};
export declare const onTableResizeEnd: <T extends Record<string, unknown>>(state: TableState<T>, action: ActionType) => {
    isTableResizing: boolean;
    columnResizing: {
        columnWidths: any;
        startX?: number;
        columnWidth?: number;
        nextColumnWidth?: number;
        headerIdWidths?: Array<[string, number]>;
        nextHeaderIdWidths?: Array<[string, number]>;
        isResizingColumn?: string;
    };
    hiddenColumns?: import("../../../react-table/react-table.js").IdType<T>[] | undefined;
    columnReorderStartIndex: number;
    sticky: {
        isScrolledToRight?: boolean;
        isScrolledToLeft?: boolean;
    };
    lastSelectedRowId?: string;
    columnOrder: import("../../../react-table/react-table.js").IdType<T>[];
    expanded: Record<import("../../../react-table/react-table.js").IdType<T>, boolean>;
    filters: import("../../../react-table/react-table.js").Filters<T>;
    globalFilter: any;
    groupBy: import("../../../react-table/react-table.js").IdType<T>[];
    pageSize: number;
    pageIndex: number;
    selectedRowIds: Record<import("../../../react-table/react-table.js").IdType<T>, boolean>;
    rowState: Record<string, {
        cellState: import("../../../react-table/react-table.js").UseRowStateLocalState<T, unknown>;
    }>;
    sortBy: import("../../../react-table/react-table.js").SortingRule<T>[];
};
