/**
 * Copied from react-table as these default filter functions are not properly exposed
 * and we need them in sub-rows filtering. */
/**
 * MIT License
 *
 * Copyright (c) 2016 Tanner Linsley
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
import type { IdType, Row } from '../../../react-table/react-table.js';
export declare const defaultFilterFunctions: {
    text: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: string): Row<T>[];
        autoRemove(val: string): boolean;
    };
    exactText: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: string): Row<T>[];
        autoRemove(val: string): boolean;
    };
    exactTextCase: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: string): Row<T>[];
        autoRemove(val: string): boolean;
    };
    includes: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: unknown[]): Row<T>[];
        autoRemove(val: unknown[]): boolean;
    };
    includesAll: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: unknown[]): Row<T>[];
        autoRemove(val: unknown[]): boolean;
    };
    includesSome: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: unknown[]): Row<T>[];
        autoRemove(val: unknown[]): boolean;
    };
    includesValue: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: unknown[]): Row<T>[];
        autoRemove(val: unknown[]): boolean;
    };
    between: {
        <T extends Record<string, unknown>>(rows: Row<T>[], ids: IdType<T>[], filterValue: [number, number]): Row<T>[];
        autoRemove(val: [number, number]): boolean;
    };
};
