import * as React from 'react';
import cx from 'classnames';
import { Box } from '../../utils/index.js';
export const TagContainer = React.forwardRef((props, forwardedRef) => {
  let { className, children, overflow, background = 'none', ...rest } = props;
  return React.createElement(
    Box,
    {
      className: cx(
        'iui-tag-container',
        {
          [`iui-${overflow}`]: !!overflow,
          'iui-visible': 'none' !== background,
        },
        className,
      ),
      ref: forwardedRef,
      ...rest,
    },
    children,
  );
});
if ('development' === process.env.NODE_ENV)
  TagContainer.displayName = 'TagContainer';
