import cx from 'classnames';
import * as React from 'react';
import { Box } from '../../utils/index.js';
export const Blockquote = React.forwardRef((props, ref) => {
  let { className, children, footer, ...rest } = props;
  return React.createElement(
    Box,
    {
      as: 'blockquote',
      className: cx('iui-blockquote', className),
      ref: ref,
      ...rest,
    },
    children,
    footer && React.createElement('footer', null, footer),
  );
});
if ('development' === process.env.NODE_ENV)
  Blockquote.displayName = 'Blockquote';
