import * as React from 'react';
import type { PolymorphicForwardRefComponent } from '../props.js';
export type InputContainerProps = {
    label?: React.ReactNode;
    disabled?: boolean;
    required?: boolean;
    status?: 'positive' | 'warning' | 'negative';
    message?: React.ReactNode;
    icon?: React.JSX.Element;
    isLabelInline?: boolean;
    statusMessage?: React.ReactNode;
    inputId?: string;
    labelId?: string;
};
/**
 * Input container to wrap inputs with label, and add optional message and icon.
 * @private
 */
export declare const InputContainer: PolymorphicForwardRefComponent<"div", InputContainerProps>;
