import * as React from 'react';
import cx from 'classnames';
import { Box } from './Box.js';
import { Icon } from '../../core/Icon/Icon.js';
import { IconButton } from '../../core/Buttons/IconButton.js';
export const InputFlexContainer = React.forwardRef((props, ref) => {
  let { isDisabled, status, children, className, size, style, ...rest } = props;
  return React.createElement(
    Box,
    {
      className: cx('iui-input-flex-container', className),
      'data-iui-status': status,
      'data-iui-size': size,
      'data-iui-disabled': isDisabled ? 'true' : void 0,
      ref: ref,
      style: style,
      ...rest,
    },
    children,
  );
});
export const InputFlexContainerButton = React.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return React.createElement(IconButton, {
    ref: ref,
    className: cx('iui-input-flex-container-icon', className),
    styleType: 'borderless',
    ...rest,
  });
});
export const InputFlexContainerIcon = React.forwardRef((props, ref) => {
  let { className, ...rest } = props;
  return React.createElement(Icon, {
    ref: ref,
    className: cx('iui-input-flex-container-icon', className),
    padded: true,
    ...rest,
  });
});
