import * as React from 'react';
type ShadowRootProps = {
    children: React.ReactNode;
    css?: string;
    /**
     * Control whether the children are portaled synchronously into the shadow-root (by using
     * `flushSync` inside `queueMicrotask`).
     *
     * NOTE: This can block the main thread if too many ShadowRoots are rendered at the same time.
     *
     * @default true
     */
    flush?: boolean;
};
/**
 * Wrapper around `<template>` element that attaches shadow root to its parent
 * and portals its children into the shadow root.
 *
 * @private
 */
export declare const ShadowRoot: ({ children, css, flush, }: ShadowRootProps) => React.JSX.Element | null;
export {};
