/**
 * Get document if it is defined.
 * Used to support SSR/SSG applications.
 */
export declare const getDocument: () => Document | undefined;
/**
 * Get window if it is defined.
 * Used to support SSR/SSG applications.
 */
export declare const getWindow: () => (Window & typeof globalThis) | undefined;
/**
 * Merges multiple event handlers into one, while making sure that
 * `defaultPrevented` is respected for each callback.
 */
export declare const mergeEventHandlers: <E extends React.SyntheticEvent>(...callbacks: Array<((event: E) => void) | undefined>) => (event: E) => void;
/**
 * Returns translate values as an array of a given element.
 * @param element HTML element you want to get translate value of
 * @returns Translate values in pixels in an array `[translateX, translateY]`
 */
export declare const getTranslateValuesFromElement: (element: HTMLElement | null | undefined) => number[];
export declare const getTranslateValues: (transformValue: string) => number[];
