declare class Instance {
}
export declare const useInstance: () => Instance;
/**
 * Synchronizes the instance with the provided properties.
 *
 * @param instance Instance created by `useInstance`.
 * @param properties Memoized object containing properties to be synchronized.
 *
 * @example
 * const instance = useInstance();
 *
 * const properties = React.useMemo(() => ({
 *   show: () => console.log('show'),
 * }), []);
 *
 * useSynchronizeInstance(instance, properties);
 *
 * instance.show(); // logs 'show'
 */
export declare const useSynchronizeInstance: <T>(instance: T, properties: T) => T;
export {};
