import * as React from 'react';
/**
 * Hook that returns the hydration status of the app.
 *
 * @returns one of the following values:
 * - `"hydrated"` after hydration is *definitely* complete (or is a pure client render)
 * - `"hydrating"` if we know for sure that hydration is happening (in React 18)
 * - `undefined` if the hydration status is unknown
 *
 * @private
 */
export declare const useHydration: () => "hydrated" | "hydrating" | undefined;
/** @private */
export declare const HydrationProvider: ({ children, }: {
    children: React.ReactNode;
}) => React.JSX.Element;
